Bullet Collision Detection & Physics Library: btConvexHullInternal::Point32 Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btConvexHullInternal::Point32 Class Reference

## Public Member Functions
| Point32 ()
| Point32 (int32_t x, int32_t y, int32_t z)
bool | operator== (const Point32 &b) const
bool | operator!= (const Point32 &b) const
bool | isZero ()
Point64 | cross (const Point32 &b) const
Point64 | cross (const Point64 &b) const
int64_t | dot (const Point32 &b) const
int64_t | dot (const Point64 &b) const
Point32 | operator+ (const Point32 &b) const
Point32 | operator- (const Point32 &b) const

## Public Attributes
int32_t | x
int32_t | y
int32_t | z
int | index

## Detailed Description

Definition at line 75 of file btConvexHullComputer.cpp.

## Constructor & Destructor Documentation

## ◆ Point32() [1/2]

btConvexHullInternal::Point32::Point32 | ( |  | ) |
| inline

Definition at line 83 of file btConvexHullComputer.cpp.

## ◆ Point32() [2/2]

btConvexHullInternal::Point32::Point32 | ( | int32_t | x,
|  | int32_t | y,
|  | int32_t | z
| ) |  |
| inline

Definition at line 87 of file btConvexHullComputer.cpp.

## Member Function Documentation

## ◆ cross() [1/2]

Point64 btConvexHullInternal::Point32::cross | ( | const Point32 & | b | ) | const
| inline

Definition at line 106 of file btConvexHullComputer.cpp.

## ◆ cross() [2/2]

Point64 btConvexHullInternal::Point32::cross | ( | const Point64 & | b | ) | const
| inline

Definition at line 111 of file btConvexHullComputer.cpp.

## ◆ dot() [1/2]

int64_t btConvexHullInternal::Point32::dot | ( | const Point32 & | b | ) | const
| inline

Definition at line 116 of file btConvexHullComputer.cpp.

## ◆ dot() [2/2]

int64_t btConvexHullInternal::Point32::dot | ( | const Point64 & | b | ) | const
| inline

Definition at line 121 of file btConvexHullComputer.cpp.

## ◆ isZero()

bool btConvexHullInternal::Point32::isZero | ( |  | ) |
| inline

Definition at line 101 of file btConvexHullComputer.cpp.

## ◆ operator!=()

bool btConvexHullInternal::Point32::operator!= | ( | const Point32 & | b | ) | const
| inline

Definition at line 96 of file btConvexHullComputer.cpp.

## ◆ operator+()

Point32 btConvexHullInternal::Point32::operator+ | ( | const Point32 & | b | ) | const
| inline

Definition at line 126 of file btConvexHullComputer.cpp.

## ◆ operator-()

Point32 btConvexHullInternal::Point32::operator- | ( | const Point32 & | b | ) | const
| inline

Definition at line 131 of file btConvexHullComputer.cpp.

## ◆ operator==()

bool btConvexHullInternal::Point32::operator== | ( | const Point32 & | b | ) | const
| inline

Definition at line 91 of file btConvexHullComputer.cpp.

## Member Data Documentation

## ◆ index

int btConvexHullInternal::Point32::index

Definition at line 81 of file btConvexHullComputer.cpp.

## ◆ x

int32_t btConvexHullInternal::Point32::x

Definition at line 78 of file btConvexHullComputer.cpp.

## ◆ y

int32_t btConvexHullInternal::Point32::y

Definition at line 79 of file btConvexHullComputer.cpp.

## ◆ z

int32_t btConvexHullInternal::Point32::z

Definition at line 80 of file btConvexHullComputer.cpp.

The documentation for this class was generated from the following file:

- btConvexHullComputer.cpp